// Oleg Petruny proprietary.

#include "InteractableModificator.h"

#include "Interactable/Interactable.h"
#include "Widgets/InteractableHintWidget.h"

void UInteractableModificator::OnRegister()
{
    UActorComponent::OnRegister();

    AInteractable::AppendModificatorClass(GetClass());
}

const TSoftObjectPtr<class UInputMappingContext> UInteractableModificator::GetMappingContext() const
{
    return inputMapping;
}

EActivatorType UInteractableModificator::GetActivatorTypes() const
{
    return static_cast<EActivatorType>(activatorTypes);
}
